EntityJSEvents.addGoalSelectors('minecraft:illusioner', event => {
    event.arbitraryGoal(1, (e) => {
        return new WizardAttackGoal(e, 1, 25) // Parameters: entity, movement speed modifier, cast interval
            .setSpells(
                [Spell.of('irons_spellbooks:arrow_volley')], // Attack
                [Spell.of('irons_spellbooks:shield')], // Defense
                [Spell.of('irons_spellbooks:frost_step')], // Movement
                [Spell.of('irons_spellbooks:gust')] // Support
            )
    })
})